#
# spec file for package python-Ming
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Ming
Version:        0.5.1
Release:        2.1
Summary:        Bringing order to Mongo since 2009
License:        MIT
Group:          Development/Languages/Python
Url:            http://merciless.sourceforge.net
Source:         https://pypi.python.org/packages/source/M/Ming/Ming-%version.tar.gz
# PATCH-FIX-UPSTREAM 0001-disable_test_gridfs.patch sfalken@opensuse.org -- Patch disables failing build tests (sf#merciless/bugs/#27)
Patch0:         0001-disable_test_gridfs.patch
BuildRequires:  python-FormEncode >= 1.2.1
BuildRequires:  python-WebOb
BuildRequires:  python-WebTest
BuildRequires:  python-devel
BuildRequires:  python-mock >= 0.8.0
BuildRequires:  python-nose
BuildRequires:  python-pymongo >= 2.4
BuildRequires:  python-pytz
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.6.1
Requires:       python-FormEncode >= 1.2.1
Requires:       python-WebOb
Requires:       python-pymongo >= 2.4
Requires:       python-six >= 1.6.1
Recommends:     python-python-spidermonkey >= 0.0.10
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Database mapping layer for MongoDB on Python. Includes schema enforcement and some facilities for schema migration.

%prep
%setup -q -n Ming-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if 0%{?suse_version} > 1110
%check
python setup.py -q test
%endif

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Sun Apr 12 2015 benoit.monin@gmx.fr
- update to 0.5.1:
  * Cursor compatibility for Python 3
- additional changes from 0.5.0:
  * Compatible with pymongo 2.7
  * Compatible with Python 3.3 and 3.4
  * Compatible with PyPy
  * Fix update_if_not_modified
  * MIM: support float comparisons
  * ming.configure now allows any extra params to pass through to
    MongoClient
- additional changes from 0.4.7:
  * Add allow_none option to ForeignIdProperty
- additional changes from 0.4.6:
  * Fixed issue with if_missing for ForeignIdProperty
- additional changes from 0.4.5:
  * avoid extremely long error text
  * Fixed random generated ObjectId on empty ForeignIdProperty
- additional changes from 0.4.4:
  * Revert ForeignIdProperty None optimization
  * Fix delete event hook signatures
  * Fix typo when flushing an individual object flagged for deletion
- additional changes from 0.4.3:
  * Return result of update_partial()
  * ManyToMany support relying on a list of ObjectIds
  * Make RelationProperty writable
  * Support for all pymongo options in custom_indexes declaration
  * Permit relationships that point to same model
  * Fix wrong behavior for MIM find_and_modify new option and add
    test case
  * ForeignIdProperty None optimization
- additional changes from 0.4.2:
  * bool(cursor) now raises an Exception
  * schema migration now raises the new schema error if both old
    & new are invalid
  * aggregation methods added to session
  * MIM: support for indexing multi-valued properties
  * MIM: forcing numerical keys as strings
  * MIM: add `manipulate` arg to `insert` for closer pymongo
    compatibility
- refresh 0001-disable_test_gridfs.patch:
  * one test added back since it passes
  * three new tests skipped
- change source URL to pipy: sourceforge is not up to date
- add new dependency to python-six
- quiet the test run to avoid spamming to build log
* Fri Aug 15 2014 sfalken@opensuse.org
- Added 0001-disable_test_gridfs.patch
  + Disables build tests that were causing build to fail (sf#merciless/bugs/#27)
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Sep  2 2013 dmueller@suse.com
- update to 0.4.1:
  * removed ‘flyway’ package from ming. It is now available from
  https://github.com/amol-/ming-flyway This removes the dependency
  on PasteScript and will make Python 3 migration easier.
  * WebOb dependency is optional.
  * removed cursor.__len__ You must change len(query) to
  query.count() now. This prevents inadvertent extra count queries
  from running.
  * MIM: Support slicing cursors
  * MIM: Fixed exact dot-notation queries
  * MIM: Fixed dot-notation queries against null fields
  * MIM: Translate time-zone aware timestamps to UTC timestamps.
  pytz added as dependency
  * MIM: Allow the remove argument to find_and_modify
* Thu May 30 2013 dmueller@suse.com
- update to 0.3.6:
  * Renamed ming.orm to ming.odm
  * Lots of bug fixes
  * Add gridfs support to Ming
  * Add contextual ODM sessio
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.3.3dev-20130322
  * various bugfixes, makes python-ceilometer testsuite almost pass
* Wed Jan 16 2013 saschpe@suse.de
- Disable testsuite on SLE, the unittest module is missing features
  on python-2.6
* Wed Jan 16 2013 saschpe@suse.de
- Add (optional) dependency on python-python-spidermonkey
* Wed Jan 16 2013 saschpe@suse.de
- Initial version
